LibreOffice: XCmisDocument Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XCmisDocument Interface Reference

The document can provide access to CMIS properties and versions through this interface. More...

`import "XCmisDocument.idl";`

Inheritance diagram for XCmisDocument:

## Public Types
typedef sequence< com::sun::star::document::CmisProperty > | CmisProperties
| Contains the properties values named after their CMIS ID.

## Public Member Functions
void | checkOut ()
| Check out the document into a private working copy on the server, and update the loaded document to reflect this change.
void | cancelCheckOut ()
| Cancel checked out document, this will discard all changes since check-out.
void | checkIn ([in] boolean isMajor, [in] string comment)
| Creates a new version of the document from the private working copy.
boolean | isVersionable ()
| Tells whether a document can support versioning or not.
boolean | canCheckOut ()
boolean | canCancelCheckOut ()
boolean | canCheckIn ()
void | updateCmisProperties ([in] sequence< com::sun::star::document::CmisProperty > cmisProperties)
sequence< com::sun::star::document::CmisVersion > | getAllVersions ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

The document can provide access to CMIS properties and versions through this interface.

## Member Typedef Documentation

## ◆ CmisProperties

sequence<com::sun::star::document::CmisProperty> CmisProperties
| attribute

Contains the properties values named after their CMIS ID.

## Member Function Documentation

## ◆ canCancelCheckOut()

boolean canCancelCheckOut | ( |  | ) |

## ◆ cancelCheckOut()

void cancelCheckOut | ( |  | ) |

Cancel checked out document, this will discard all changes since check-out.

## ◆ canCheckIn()

boolean canCheckIn | ( |  | ) |

## ◆ canCheckOut()

boolean canCheckOut | ( |  | ) |

## ◆ checkIn()

void checkIn | ( | [in] boolean | isMajor,
|  | [in] string | comment )

Creates a new version of the document from the private working copy.

## ◆ checkOut()

void checkOut | ( |  | ) |

Check out the document into a private working copy on the server, and update the loaded document to reflect this change.

## ◆ getAllVersions()

sequence< com::sun::star::document::CmisVersion > getAllVersions | ( |  | ) |

## ◆ isVersionable()

boolean isVersionable | ( |  | ) |

Tells whether a document can support versioning or not.

## ◆ updateCmisProperties()

void updateCmisProperties | ( | [in] sequence< com::sun::star::document::CmisProperty > | cmisProperties | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/document/XCmisDocument.idl